## ufoai-code-8b4533e85fdc0665889ff285e1521432084ee784.zip

=== Makefile ===
CONFIG ?= Makefile.local
-include $(CONFIG)

ifneq ($(ADDITIONAL_PATH),)
PATH        := $(ADDITIONAL_PATH):$(PATH)
endif

HOST_OS     ?= $(shell uname | sed -e s/_.*// | tr '[:upper:]' '[:lower:]')
TARGET_OS   ?= $(HOST_OS)
TARGET_ARCH ?= $(shell uname -m | sed -e s/i.86/i386/)

ifneq ($(findstring $(HOST_OS),sunos darwin),)
  TARGET_ARCH ?= $(shell uname -p | sed -e s/i.86/i386/)
endif

MODE        ?= debug
PREFIX      ?= /usr/local
WINDRES     ?= windres
CC          ?= gcc
CXX         ?= g++
Q           ?= @
BUILDDIR    ?= $(MODE)-$(TARGET_OS)-$(TARGET_ARCH)
PROJECTSDIR ?= build/projects
PROJECTS    := $(sort $(patsubst $(PROJECTSDIR)/%.mk,%,$(wildcard $(PROJECTSDIR)/*.mk)))
SRCDIR      := src
TARGETS_TMP := $(sort $(patsubst build/modules/%.mk,%,$(wildcard build/modules/*.mk)))
TARGETS     := $(filter-out $(foreach TARGET,$(TARGETS_TMP),$(if $($(TARGET)_DISABLE),$(TARGET),)),$(TARGETS_TMP))
DISABLED    := $(filter-out $(TARGETS),$(TARGETS_TMP))

ifeq ($(DISABLE_DEPENDENCY_TRACKING),)
  DEP_FLAGS := -MP -MD -MT $$@
endif
CONFIGURE_PREFIX ?=

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 755 -s
INSTALL_SCRIPT  ?= $(INSTALL) -m 755
INSTALL_DIR     ?= $(INSTALL) -d
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444
UNINSTALL_FILE  ?= rm --interactive=never
UNINSTALL_DIR   ?= rmdir -p --ignore-fail-on-non-empty

ifeq ($(USE_CCACHE),1)
CCACHE := ccache
else
CCACHE :=
endif

.PHONY: all
ifeq ($(TARGET_OS),android)
all: android
else
ifeq ($(TARGET_OS),html5)
ifeq ($(EMSCRIPTEN_CALLED),1)
all: $(TARGETS)
else
all: emscripten
endif
else
all: $(TARGETS)
endif
endif

include build/flags.mk
include build/platforms/$(TARGET_OS).mk
include build/modes/$(MODE).mk
include build/default.mk

CXXFLAGS := $(CFLAGS) $(CXXFLAGS)

ASSEMBLE_OBJECTS = $(patsubst %, $(BUILDDIR)/$(1)/%.o, $(filter %.c %.cpp %.rc, $($(1)_SRCS)))
FILTER_OUT = $(foreach v,$(2),$(if $(findstring $(1),$(v)),,$(v)))

define INCLUDE_PROJECT_RULE
include $(PROJECTSDIR)/$(1).mk
endef

define INCLUDE_RULE
include build/modules/$(1).mk
endef
$(foreach TARGET,$(TARGETS_TMP),$(eval $(call INCLUDE_RULE,$(TARGET))))

.PHONY: clean
clean: $(addprefix clean-,$(TARGETS)) clean-docs
	$(Q)rm -rf $(BUILDDIR)

.PHONY: distclean
distclean: clean
	$(Q)rm -f $(TARGET_OS)-config.h Makefile.local
	$(Q)rm -rf $(BUILDDIR)

.PHONY: install
install: install-pre $(addprefix install-,$(TARGETS))

.PHONY: uninstall
uninstall:  uninstall-pre $(addprefix uninstall-,$(TARGETS))

.PHONY: strip
strip: $(addprefix strip-,$(TARGETS))

$(TARGET_OS)-config.h Makefile.local: configure
	@echo "restarting configure for $(TARGET_OS)"
	$(Q)$(CONFIGURE_PREFIX) ./configure $(CONFIGURE_OPTIONS)
#	Makefile remaking should take care of this
#	$(Q)$(MAKE) $(MAKECMDGOALS)

define BUILD_RULE
ifndef $(1)_DISABLE
ifndef $(1)_IGNORE

-include $($(1)_OBJS:.o=.d)

# if the target filename differs:
ifneq ($(1),$($(1)_FILE))
.PHONY: $(1)
$(1): $(TARGET_OS)-config.h $($(1)_FILE)
endif

$($(1)_FILE): $(BUILDDIR)/$(1)/.dirs build/modules/$(1).mk $(foreach DEP,$($(1)_DEPS),$($(DEP)_FILE)) $($(1)_OBJS)
	@echo '===> LD [$$@]'
	$(Q)mkdir -p $(dir $($(1)_FILE))
	$(Q)$(CCACHE) $(CROSS)$($(1)_LINKER) $($(1)_OBJS) $($(1)_LDFLAGS) $(LDFLAGS) -o $($(1)_FILE)

$(BUILDDIR)/$(1)/%.c.o: $(SRCDIR)/%.c $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.m.o: $(SRCDIR)/%.m $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.mm.o: $(SRCDIR)/%.mm $(BUILDDIR)/$(1)/.dirs
	@echo '===> CC [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CC) $(CCFLAGS) $($(1)_CCFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.rc.o: $(SRCDIR)/%.rc $(BUILDDIR)/$(1)/.dirs
	@echo '===> WINDRES [$(1)] $$<'
	$(Q)$(CROSS)$(WINDRES) -v $(subst \,\\\,$(subst -DUFO_REVISION,-D UFO_REVISION,$(filter -DUFO_REVISION=%,$(CXXFLAGS)))) $(subst -DDEBUG, -D DEBUG,$(filter -DDEBUG,$(CXXFLAGS))) -D FULL_PATH_RC_FILE -i $$< -o $$@

$(BUILDDIR)/$(1)/%.cc.o: $(SRCDIR)/%.cc $(BUILDDIR)/$(1)/.dirs
	@echo '===> CXX [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CXX) $(CXXFLAGS) $($(1)_CXXFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/%.cpp.o: $(SRCDIR)/%.cpp $(BUILDDIR)/$(1)/.dirs
	@echo '===> CXX [$(1)] $$<'
	$(Q)$(CCACHE) $(CROSS)$(CXX) $(CXXFLAGS) $($(1)_CXXFLAGS) -c -o $$@ $$< $(DEP_FLAGS)

$(BUILDDIR)/$(1)/.dirs: $(TARGET_OS)-config.h
	$(Q)mkdir -p $(foreach i,$($(1)_OBJS),$(dir $(i)))
	$(Q)touch $$@

.PHONY: clean-$(1)
clean-$(1):
	@echo 'Cleaning up $(1)'
	$(Q)rm -rf $(BUILDDIR)/$(1) $($(1)_FILE)

.PHONY: strip-$(1)
strip-$(1): $($(1)_FILE)
	@echo 'Stripping $$<'
	$(Q)strip $$<

install-$(1): $($(1)_FILE)
	@echo 'Install $$<'
	$(Q)$(INSTALL_DIR) $(DESTDIR)$(PKGDATADIR)/$(dir $($(1)_FILE))
	$(Q)$(INSTALL_PROGRAM) $$< $(DESTDIR)$(PKGDATADIR)/$$<

uninstall-$(1):
	@echo 'Uninstall $($(1)_FILE)'
	$(Q)$(UNINSTALL_FILE) $(DESTDIR)$(PKGDATADIR)/$($(1)_FILE)
	$(Q)$(UNINSTALL_DIR) $(dir $(DESTDIR)$(PKGDATADIR)/$($(1)_FILE))

else
# if this target is ignored, just do nothing
$(1):
clean-$(1):
strip-$(1):
install-$(1):
endif
endif
endef
$(foreach TARGET,$(TARGETS),$(eval $(call BUILD_RULE,$(TARGET))))

$(foreach PROJECT,$(PROJECTS),$(eval $(call INCLUDE_PROJECT_RULE,$(PROJECT))))

.PHONY: run-configure
run-configure:
	$(Q)$(CONFIGURE_PREFIX) ./configure $(CONFIGURE_OPTIONS)

include build/data.mk
include build/install.mk
include build/lang.mk
include build/maps.mk
include build/models.mk
include build/various.mk

ifeq ($(TARGET_OS),android)
.PHONY: clean-android
clean-android:
	@echo "===> ANDROID [clean project]"
	$(Q)rm -rf android-project/assets
	$(Q)rm -rf android-project/bin
	$(Q)rm -f android-project/jni/SDL \
		android-project/jni/SDL_mixer \
		android-project/jni/SDL_ttf \
		android-project/jni/libpng \
		android-project/jni/jpeg \
		android-project/jni/ogg \
		android-project/jni/curl \
		android-project/jni/vorbis \
		android-project/jni/intl \
		android-project/jni/zlib \
		android-project/jni/theora
	$(Q)cd android-project && ant clean

.PHONY: android-update-project
android-update-project: clean-android
	@echo "===> ANDROID [update project]"
	$(Q)cd android-project && android update project -p . -t android-13

.PHONY: android-copy-assets
android-copy-assets: clean-android pk3
	@echo "===> CP [copy assets]"
	$(Q)mkdir -p android-project/assets/base
	$(Q)cp -l base/*.pk3 android-project/assets/base
	$(Q)for i in hdpi ldpi mdpi xhdpi; do mkdir -p android-project/res/drawable-$${i}; cp contrib/installer/ufoai.png android-project/res/drawable-$${i}/icon.png; done

.PHONY: android
android: android-update-project android-copy-assets
	$(Q)ln -sf ../../src/libs/SDL android-project/jni/SDL
	$(Q)ln -sf ../../src/libs/SDL_mixer android-project/jni/SDL_mixer
	$(Q)ln -sf ../../src/libs/SDL_ttf android-project/jni/SDL_ttf
	$(Q)ln -sf ../../src/libs/libpng-1.6.2 android-project/jni/libpng
	$(Q)ln -sf ../../src/libs/jpeg-9 android-project/jni/jpeg
	$(Q)ln -sf ../../src/libs/curl android-project/jni/curl
	$(Q)ln -sf ../../src/libs/libogg-1.3.1 android-project/jni/ogg
	$(Q)ln -sf ../../src/libs/vorbis android-project/jni/vorbis
	$(Q)ln -sf ../../src/libs/intl android-project/jni/intl
	$(Q)ln -sf ../../src/libs/theora android-project/jni/theora
	$(Q)ln -sf ../../src/libs/zlib-1.2.8 android-project/jni/zlib
	@echo "===> NDK [native build]"
	$(Q)cd android-project && ndk-build V=1 -j 5
	@echo "===> ANT [java build]"
	$(Q)cd android-project && ant debug
	$(Q)cd android-project && ant installd

android-uninstall:
	$(Q)cd android-project && ant uninstall org.ufoai
endif

ifeq ($(TARGET_OS),html5)
.PHONY: emscripten
emscripten:
	$(Q)$(EMSCRIPTEN_ROOT)/emmake $(MAKE) EMSCRIPTEN_CALLED=1
endif

=== debian/changelog ===
ufoai (2.5-dev-1) oneiric; urgency=low

  [ Martin Gerhardy ]
  * Bump version to 2.5

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Tue, 14 Mar 2012 20:49:00 -0100

ufoai (2.4-dev-2) oneiric; urgency=low

  [ Martin Gerhardy ]
  * Changed package layout to only support three main packages (client, server, editor)

  [ Sander van Grieken ]
  * Fixed Build-Depends to include tex packages, python2.7, gtk+ xcb
  * fix removal of Makefile on clean

 -- Sander van Grieken <sander@outrightsolutions.nl>  Tue, 17 Jan 2012 17:56:28 +0200

ufoai (2.4-dev-1) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Changed version schema

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Tue, 10 Aug 2010 09:20:00 -0100

ufoai (2.4~~svn29925) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Version bump to 2.4

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Fri, 14 May 2009 19:18:00 -0100

ufoai (2.3~~svn22894) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Fixed configure call
  * Fixed game.so loading

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 22 Feb 2009 14:21:00 -0100

ufoai (2.3~~svn22876) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Menu entries and desktop files
  * Updated icons

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 22 Feb 2009 12:01:00 -0100

ufoai (2.3~~svn22761) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Added homepage and link to svn
  * Fixed configure flag

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 18 Feb 2009 19:49:00 -0100

ufoai (2.3~~svn21498) intrepid; urgency=low

  [ Martin Gerhardy ]
  * Added section games to control
  * Added some mode build dependencies and dependencies

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Sat, 03 Jan 2009 23:19:00 -0600

ufoai (2.3~~svn20849) intrepid; urgency=low

  [ Arthur Haney ]
  * Nightly compile for Dec 16 2008
  * Added radiant to debian/rules, now radiant binary is included
  * Added dependencies for ufoai-radiant and ufoai

 -- Arthur Haney <spyro@spyrius.com>  Tue, 16 Dec 2008 08:50:00 -0600

ufoai (2.3~~svn20836) intrepid; urgency=low

  [ Arthur Haney ]
  * Nightly compile for Dec 15 2008
  * Fixed radiant by moving to /usr/share/games/ufoai/radiant

 -- Arthur Haney <spyro@spyrius.com>  Mon, 15 Dec 2008 23:00:00 +0000

ufoai (2.3~~svn20826) intrepid; urgency=low

  [ Arthur Haney ]
  * Moved translations files into /usr/lib/games/ufoai

 -- Arthur Haney <spyro@spyrius.com>  Wed, 19 Sep 2007 22:09:13 +0100

ufoai (2.3~~svn20746) intrepid; urgency=low

  [ Arthur Haney ]
  * Initial build
  * Added basedirname back into .install files
  * Added radiant into files

 -- Arthur Haney <spyro@spyrius.com>  Wed, 19 Sep 2007 22:09:13 +0100

ufoai (2.3~~svn14428) unstable; urgency=low

  [ Martin Gerhardy ]
  * Removed snd_* (SDL sound is merged into the ufo binary)
  * Removed openal

  [ Florian Ludwig ]
  * Fix versioning of dependencies on ufo-data
  * Use libcurl4-dev not 3
  * Dump version to 2.3~~svn
  * Disable curses console for the server
  * Fix copyright files

  [ Teemu Ikonen ]
  * Upgrade standards-version to 3.7.3
  * Upgrade debhelper compat to 6
  * Rename ufoai-data-music to ufoai-music, install just ogg-files
    instead of packing into pk3
  * Split maps, scripts and config files from ufoai-data to
    ufoai-server-data
  * Allow installing of game.so elsewhere than the game data
  * Add ufoai-common package containing game.so
  * ufoai-data: include translations, install to /usr/share/games/ufoai/
  * Add dh_installdocs to binary-indep target, remove debian/copyright
    files from .install files
  * Add icons to client and dedicated server
  * Add a .desktop file to the client from package at getdeb.net
  * Add launcher script, .desktop and .menu files to ufoai-server
  * Add dependency to ttf-thai-tlwg to ufoai-data
  * Build and install the pdf manual, add build-dep to
    texlive-latex-recommended
  * Add ufoai-data.doc-base for the manual
  * ufoai-tools: Install ufo2map to /usr/games/, install blender
    script to a correct directory in Debian
  * Add build-dep to quilt
  * rules:
      + add get-orig-source target to fetch source from upstream svn
      + add genpatches target to generate patch stack from git branches
      + add debtar target to pack the debian-dir to a wig and pen
        style debian.tar.gz
      + add patch and unpatch targets calling quilt
  * copyright: add copyright years, correct FSF address,
    add author and licensing info on packaging

 -- Florian Ludwig <dino@phidev.org>  Sun, 03 Feb 2008 20:49:10 +0100

ufoai (2.2~~svn11864) unstable; urgency=low

  * Removed vid_glx and vid_sdl (only SDL is used now, and that's merged
    into the ufo binary)
  * Removed X11 dependencies, only use SDL
  * Updated the ufo start script (no more vid_ref cvar needed, gl_driver
    [resp. r_driver] should not be needed anymore, too)
  * Removed svn version hack
  * Added 0media.pk3 (also contains the ttf font files)
  * Removed qdata binary
  * Fixed target path for pk3 files

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 19 Sep 2007 22:09:13 +0100

ufoai (2.2~~svn11853) unstable; urgency=low

  * Explicitely disable openal support as advised by dev-team.
  * Build in ./BUILD/, not ./build/ which is already used for something
    else.
  * Made installation of maps more robust and more portable.
  * Enable curses console for the server.
  * Include ufomaster in package ufoai-server.
  * Include qdata and md2tag_export.py in package ufoai-tools.
  * Moved sound and video modules into their own binary packages.
  * Ship packed data files (except fonts, since we use the system ones,
    and shaders, which are packed with them upstream, and are not worth a
    pack).
  * Merge ufoai-data-maps into ufoai-data.

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Apr 2007 00:44:13 +0200

ufoai (2.1~~svn) unstable; urgency=low

  * Use new single-package layout, with autoconf-based build system.
  * Added build-dependency on libarts1-dev.



=== debian/control ===
Source: ufoai
Section: games
Priority: optional
Maintainer: UFOAI Team <tlh2000@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0), libpng-dev, libjpeg8-dev,
 libgl1-mesa-dev, libsdl-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev,
 libcurl3-openssl-dev | libcurl4-openssl-dev | libcurl4-gnutls-dev,
 zip, libgtk2.0-dev (>=2.4.0), libxml2-dev, libgtkglext1-dev,
 libtheora-dev | libxvidcore4-dev, dpatch,
 libglib2.0-dev, zlib1g-dev, gettext, libmxml-dev,
 pkg-config, libopenal-dev, libgtksourceview2.0-dev,
 python2.6 | python2.7, binutils-dev,
 libx11-xcb-dev, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra
Build-Conflicts: nvidia-glx, nvidia-current
Standards-Version: 3.7.3
Homepage: http://ufoai.sf.net
Vcs-Git: git://ufoai.git.sourceforge.net/gitroot/ufoai/ufoai

Package: ufoai
Section: games
Priority: optional
Architecture: any
Conflicts: ufoai-server, ufoai-data
Depends: ${shlibs:Depends}, ttf-freefont | fonts-freefont-ttf, ttf-dejavu,
 ttf-thai-tlwg | fonts-thai-tlwg, ttf-wqy-zenhei | fonts-wqy-zenhei,
 ttf-unfonts-core | fonts-unfonts-core, ttf-unfonts-extra | fonts-unfonts-extra,
 ttf-umefont | fonts-horai-umefont
Suggests: blender, ufoai-uforadiant
Description: UFO: Alien Invasion - build your team and stop the aliens
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 As manager of an international military force dedicated to stop the
 Alien Invasion, you prepare your soldiers and attack the aliens on
 various sites on the Earth.
 .
 A multiplayer mode is also available.

Package: ufoai-server
Section: games
Priority: optional
Architecture: any
Conflicts: ufoai, ufoai-server-data
Depends: ${shlibs:Depends}
Description: UFO: Alien Invasion - standalone game server
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the standalone game server.
 It is only needed if you want to setup a permanent game server.

Package: ufoai-uforadiant
Section: games
Priority: optional
Architecture: any
Conflicts: ufoai-radiant, ufoai-tools
Depends: ${shlibs:Depends}
Description: UFO: Alien Invasion - map-building tool
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the map-building tool UFORadiant. It's based on
 GTKRadiant 1.5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright 2004, 2006 Yann Dirson.
# Based on debhelper sample by Joey Hess.

export LC_ALL=C
export DH_OPTIONS
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

CONFIGUREFLAGS += --datadir=/usr/share/games \
	--libdir=/usr/lib/games/ufoai/base \
	--prefix=/usr \
	--enable-uforadiant \
	--disable-testall

MAINVER := $(shell dpkg-parsechangelog | sed -ne 's/^Version: *\([^~-]*\).*/\1/p' )
TMPDIR = /tmp/
ORIGDIR = ufoai_$(MAINVER).orig
ORIGTGZ = ufoai_$(MAINVER).orig.tar.gz
DEBTGZ  = ufoai_$(MAINVER).debian.tar.gz

../$(ORIGTGZ):
	git archive HEAD | tar -x -C $(TMPDIR)/$(ORIGDIR)
	-rm -rf $(TMPDIR)/$(ORIGDIR)/contrib
	-rm -rf $(TMPDIR)/$(ORIGDIR)/debian
	cd $(TMPDIR) ; tar -zcf $(ORIGTGZ) $(ORIGDIR) ; cd $(CURDIR)
	rm -rf $(TMPDIR)/$(ORIGDIR)
	mv $(TMPDIR)/$(ORIGTGZ) $(CURDIR)/..

get-orig-source: ../$(ORIGTGZ)

debtar: clean
	dh_testdir
	tar -zcf ../$(DEBTGZ) debian/

config.h:
	dh_testdir
	./configure $(CONFIGUREFLAGS)

build-arch: stamps/build-arch
stamps/build-arch: config.h
	dh_testdir

	$(MAKE) $(MAKEFLAGS)

	mkdir -p stamps
	touch $@

build-indep: stamps/build-indep
stamps/build-indep: config.h
	dh_testdir

	$(MAKE) $(MAKEFLAGS) installer-pre
	$(MAKE) manual

	mkdir -p stamps
	touch $@

patch: patch-stamp
stamps/patch-stamp:
	dpatch apply-all

unpatch:
	dpatch deapply-all
	rm -rf stampts/patch-stamp

really_clean:
	dh_testdir
	dh_testroot
	rm -rf stamps

	[ ! -f Makefile ] || $(MAKE) clean
	find base/maps -name '*.bsp' | xargs --no-run-if-empty rm
	-rm -f base/*.pk3
	-rm -f config.h config.log
	-rm -rf base/i18n
	-rm -rf debian/files debian/substvars

	dh_clean

clean: really_clean unpatch

install-arch: stamps/build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

install-indep: stamps/build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

# No architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link
	dh_strip -a
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build: build-arch build-indep
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install patch unpatch
